/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.dhcp.parser
 * File:    Option.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.dhcp.parser;

import java.util.ArrayList;

/**
 * An option is a simple object holding two Strings: a value and his identifier
 * 
 * @author Tobias
 *
 */
public class Option {
	
	private ArrayList<String> values = new ArrayList<String>();	
	private String name;	
	
	public Option(String name){
		this.name = name;
	}
	
	public Option(String name, String value) {
		super();
		this.name = name;
		this.values.add(value);
	}
		
	public String getIdentifier() {
		return name;
	}
	public void setIdentifier(String name) {
		this.name = name;
	}
	public ArrayList<String> getValues() {
		return values;
	}
	public void addValue(String value) {
		this.values.add(value);
	}
}
