/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.dhcp.parser
 * File:    Parser.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.dhcp.parser;

import java.util.ArrayList;

/**
 * Abstract Parser-Class
 * All parsers must derive from this class
 * 
 * @version 0.01 25 Nov 2009
 * @author Tobias
 *
 */
public abstract class Parser {
	/** The absolute path to the file */
	public abstract String getPath();
	
	/** Set the path to the file*/
	public abstract void setPath(String path);

	/** Parses the file and fill the datastructures*/
	protected abstract ArrayList<Lease> parseFile();
}
 
